package com.hzya.frame.cbs8.dto.req;

import java.util.List;

/**
 * @Description 查询境内交易明细参数
 * @Author xiangerlin
 * @Date 2024/1/3 09:55
 **/
public class TransactionDetailReqDTO {
    private int currentPage;//当前页码 从1开始
    private int pageSize;//本次查询的记录数，最大1000条
    private String startDate;//开始日期
    private String endDate;//结束日期
    private String dateType;//日期类型0：交易日期，1：起息日期
    private List<String> accountNoList;//账户列表
    private List<String> bankTypeList;//银行类型列表
    private List<String> currencyList;//币种列表
    private String detailedSources;//明细来源
    private String currentFlag;//明细类型
    private String loanType;//借贷类型 1：借 2：贷
    private List<String> accountNatureList;//账户性质列表
    private String bankSerialNumber;//银行流水号
    private String transactionSerialNumber;//交易流水号
    private List<String> unitCodeList ;//单位编码列表
    private String erpSerialNumber ;//erp业务参考号

    public TransactionDetailReqDTO() {

    }

    public TransactionDetailReqDTO(String startDate, String endDate) {
        this.startDate = startDate;
        this.endDate = endDate;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getDateType() {
        return dateType;
    }

    public void setDateType(String dateType) {
        this.dateType = dateType;
    }

    public List<String> getAccountNoList() {
        return accountNoList;
    }

    public void setAccountNoList(List<String> accountNoList) {
        this.accountNoList = accountNoList;
    }

    public List<String> getBankTypeList() {
        return bankTypeList;
    }

    public void setBankTypeList(List<String> bankTypeList) {
        this.bankTypeList = bankTypeList;
    }

    public List<String> getCurrencyList() {
        return currencyList;
    }

    public void setCurrencyList(List<String> currencyList) {
        this.currencyList = currencyList;
    }

    public String getDetailedSources() {
        return detailedSources;
    }

    public void setDetailedSources(String detailedSources) {
        this.detailedSources = detailedSources;
    }

    public String getCurrentFlag() {
        return currentFlag;
    }

    public void setCurrentFlag(String currentFlag) {
        this.currentFlag = currentFlag;
    }

    public String getLoanType() {
        return loanType;
    }

    public void setLoanType(String loanType) {
        this.loanType = loanType;
    }

    public List<String> getAccountNatureList() {
        return accountNatureList;
    }

    public void setAccountNatureList(List<String> accountNatureList) {
        this.accountNatureList = accountNatureList;
    }

    public String getBankSerialNumber() {
        return bankSerialNumber;
    }

    public void setBankSerialNumber(String bankSerialNumber) {
        this.bankSerialNumber = bankSerialNumber;
    }

    public String getTransactionSerialNumber() {
        return transactionSerialNumber;
    }

    public void setTransactionSerialNumber(String transactionSerialNumber) {
        this.transactionSerialNumber = transactionSerialNumber;
    }

    public List<String> getUnitCodeList() {
        return unitCodeList;
    }

    public void setUnitCodeList(List<String> unitCodeList) {
        this.unitCodeList = unitCodeList;
    }

    public String getErpSerialNumber() {
        return erpSerialNumber;
    }

    public void setErpSerialNumber(String erpSerialNumber) {
        this.erpSerialNumber = erpSerialNumber;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
